Package com.independentsoft.office.odf.fields

# Class SequenceVariableField

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.SequenceVariableField

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class SequenceVariableField extends Field
Represents a sequence field. A sequence field changes the value of a sequence variable by a specified formula and displays the changed value of the sequence variable in a specified format.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceVariableField()`
  Initializes a new instance of the SequenceVariableField class.
  `SequenceVariableField​(InternalXMLStreamReader reader)`
  Instantiates a new sequence variable field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SequenceVariableField`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getFormula()`
  Gets the formula or expression used to compute the value of a field.
  `String`
  `getName()`
  Gets the unique name of a variable to display.
  `String`
  `getNumberFormat()`
  Specifies the numbering sequence.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getReferenceName()`
  Gets the name that is used as a reference.
  `String`
  `getValue()`
  Gets the sequence variable.
  `boolean`
  `isEnableLetterSynchronization()`
  Specifies whether letter synchronization shall take place.
  `void`
  `setEnableLetterSynchronization​(boolean enableLetterSynchronization)`
  Specifies whether letter synchronization shall take place.
  `void`
  `setFormula​(String formula)`
  Sets the formula or expression used to compute the value of a field.
  `void`
  `setName​(String name)`
  Sets the unique name of a variable to display.
  `void`
  `setNumberFormat​(String numberFormat)`
  Specifies the numbering sequence.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setReferenceName​(String referenceName)`
  Sets the name that is used as a reference.
  `void`
  `setValue​(String value)`
  Sets the sequence variable.
  `String`
  `toString()`
  Converts the value of the current SequenceVariableField object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SequenceVariableField

    public SequenceVariableField()
    Initializes a new instance of the SequenceVariableField class.

  - ### SequenceVariableField

    public SequenceVariableField​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new sequence variable field.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public SequenceVariableField clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SequenceVariableField object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the unique name of a variable to display.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the unique name of a variable to display.
    Parameters:
      `name` - the new name

  - ### getFormula

    public String getFormula()
    Gets the formula or expression used to compute the value of a field.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the formula or expression used to compute the value of a field.
    Parameters:
      `formula` - the new formula

  - ### getNumberFormat

    public String getNumberFormat()
    Specifies the numbering sequence. The defined values are: - 1: Hindu-Arabic number sequence starts with 1. - a: number sequence of lowercase Modern Latin basic alphabet characters starts with "a". - A: number sequence of uppercase Modern Latin basic alphabet characters starts with "A". - i: number sequence of lowercase Roman numerals starts with "i". - I: number sequence of uppercase Roman numerals start with "I".
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(String numberFormat)
    Specifies the numbering sequence. The defined values are: - 1: Hindu-Arabic number sequence starts with 1. - a: number sequence of lowercase Modern Latin basic alphabet characters starts with "a". - A: number sequence of uppercase Modern Latin basic alphabet characters starts with "A". - i: number sequence of lowercase Roman numerals starts with "i". - I: number sequence of uppercase Roman numerals start with "I".
    Parameters:
      `numberFormat` - the new number format

  - ### isEnableLetterSynchronization

    public boolean isEnableLetterSynchronization()
    Specifies whether letter synchronization shall take place. If letters are used in alphabetical order for numbering, there are two ways to process overflows within a digit, as follows: -false: A new digit is inserted that always has the same value as the following digit. The numbering sequence (for lower case numberings) in that case is a, b, c, ..., z, aa, bb, cc, ..., zz, aaa, ..., and so on. -true: A new digit is inserted. Its start value is Ã¢â‚¬ï¿½aÃ¢â‚¬ï¿½ or Ã¢â‚¬ï¿½AÃ¢â‚¬ï¿½, and it is incremented every time an overflow occurs in the following digit. The numbering sequence (for lower case numberings) in that case is a,b,c, ..., z, aa, ab, ac, ...,az, ba, ..., and so on.
    Returns:
      true, if is enable letter synchronization

  - ### setEnableLetterSynchronization

    public void setEnableLetterSynchronization​(boolean enableLetterSynchronization)
    Specifies whether letter synchronization shall take place. If letters are used in alphabetical order for numbering, there are two ways to process overflows within a digit, as follows: -false: A new digit is inserted that always has the same value as the following digit. The numbering sequence (for lower case numberings) in that case is a, b, c, ..., z, aa, bb, cc, ..., zz, aaa, ..., and so on. -true: A new digit is inserted. Its start value is Ã¢â‚¬ï¿½aÃ¢â‚¬ï¿½ or Ã¢â‚¬ï¿½AÃ¢â‚¬ï¿½, and it is incremented every time an overflow occurs in the following digit. The numbering sequence (for lower case numberings) in that case is a,b,c, ..., z, aa, ab, ac, ...,az, ba, ..., and so on.
    Parameters:
      `enableLetterSynchronization` - the new enable letter synchronization

  - ### getReferenceName

    public String getReferenceName()
    Gets the name that is used as a reference.
    Returns:
      the reference name

  - ### setReferenceName

    public void setReferenceName​(String referenceName)
    Sets the name that is used as a reference.
    Parameters:
      `referenceName` - the new reference name

  - ### getValue

    public String getValue()
    Gets the sequence variable.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the sequence variable.
    Parameters:
      `value` - the new value